std::_Enable_default_constructor< _Switch, _Tag > Struct Template Reference

`#include <enable_special_members.h>`

Inheritance diagram for std::_Enable_default_constructor< _Switch, _Tag >:
[legend]

## Public Member Functions

constexpr | _Enable_default_constructor (_Enable_default_constructor &&) noexcept=default
constexpr | _Enable_default_constructor (_Enable_default_constructor const &) noexcept=default
constexpr | _Enable_default_constructor (_Enable_default_constructor_tag)
_Enable_default_constructor & | operator= (_Enable_default_constructor &&) noexcept=default
_Enable_default_constructor & | operator= (_Enable_default_constructor const &) noexcept=default

## Detailed Description

template<bool _Switch, typename _Tag = void>
struct std::_Enable_default_constructor< _Switch, _Tag >

A mixin helper to conditionally enable or disable the default constructor.

See also
  _Enable_special_members

Definition at line 50 of file enable_special_members.h.

## Constructor & Destructor Documentation

## _Enable_default_constructor()

template<bool _Switch, typename _Tag = void>

constexpr std::_Enable_default_constructor< _Switch, _Tag >::_Enable_default_constructor | ( | _Enable_default_constructor_tag |  | ) |

inline explicit constexpr

Definition at line 64 of file enable_special_members.h.

The documentation for this struct was generated from the following file:

- enable_special_members.h